<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>

        <ui:composition template="../WEB-INF/modelo.xhtml">

            <ui:define name="content">

                <p:panelGrid columns="2" id="painel" >
                    <p:outputLabel value="Codigo" for="txtCodigo" />
                    <p:inputText id="txtCodigo" value="#{professorBean.codigo}" readonly="true"  />

                    <p:outputLabel value="Nome" for="txtNome" />
                    <p:inputText id="txtNome" required="true" value="#{professorBean.professor.nome}"  />

                    <p:outputLabel value="E-mail" for="txtEmail" />
                    <p:inputText id="txtEmail" value="#{professorBean.professor.email}"  />

                    <p:outputLabel value="CPF" for="txtCPF" />
                    <p:inputText id="txtCPF" value="#{professorBean.professor.cpf}"  />


                    <p:outputLabel value="Endereco" for="txtEndereco" />
                    <p:inputText id="txtEndereco" value="#{professorBean.professor.endereco}"  />

                    <p:outputLabel value="Numero" for="txtNumero" />
                    <p:inputText id="txtNumero" value="#{professorBean.professor.numero}"  />

                    <p:outputLabel value="Complemento" for="txtComplemento" />
                    <p:inputText id="txtComplemento" value="#{professorBean.professor.complemento}"  />

                    <p:outputLabel value="Cidade" for="txtCidade" />
                    <p:inputText id="txtCidade" value="#{professorBean.professor.cidade}"  />

                    <p:outputLabel value="Estado" for="txtEstado" />
                    <p:inputText id="txtEstado" value="#{professorBean.professor.estado}"  />


                    <h:panelGroup>
                        <p:commandButton value="Salvar" action="#{professorBean.salvar}" update="painel" />
                        <h:inputHidden value="#{professorBean.professor.id}" />

                    </h:panelGroup>
                    <p:commandButton value="Novo" immediate="true" action="#{professorBean.novo}" update="painel" />
                </p:panelGrid>

            </ui:define>

        </ui:composition>

    </body>
</html>
